# -*- encoding: utf-8 -*-
##############################################################################
#
#    Personalizzazione realizzata da Francesco OpenCode Apruzzese
#    Compatible with OpenERP release 6.0.0
#    Copyright (C) 2010 Andrea Cometa. All Rights Reserved.
#    Email: info@andreacometa.it
#    Web site: http://www.andreacometa.it
#
##############################################################################

from osv import fields, osv


class ir_protocolli_da_recuperare(osv.osv):

	_name = "ir.protocolli_da_recuperare"
	_description = "ir.protocolli_da_recuperare"

	_columns = {
		'name' : fields.char('Classe',size=32),
		'protocollo' : fields.char('Protocollo', size=32),
		'data' : fields.date('Data'),
	}

	_order = "data"

ir_protocolli_da_recuperare()


class ir_sequence(osv.osv):

	_name = "ir.sequence"
	_inherit = "ir.sequence"

	def get(self, cr, uid, code):
		# ----- Cerca eventuali protocolli da recuperare
		recuperare_obj = self.pool.get('ir.protocolli_da_recuperare')
		recuperare_ids = recuperare_obj.search(cr, uid, [('name', '=', code)])
		if recuperare_ids:
			# ----- Se lo trova ne recupera il protocollo e lo cancella
			recuperare_id = recuperare_ids[0]
			protocollo = recuperare_obj.browse(cr, uid, recuperare_id).protocollo
			recuperare_obj.unlink(cr, uid, recuperare_id)
			return protocollo
		res = super(ir_sequence, self).get(cr, uid, code)
		return res

ir_sequence()
